com.pixelmed.query

## Class QueryTreeRecord.OurResponseIdentifierHandler

- java.lang.Object
- - com.pixelmed.network.IdentifierHandler
  - - com.pixelmed.query.QueryTreeRecord.OurResponseIdentifierHandler

Enclosing class:
  QueryTreeRecord

    protected class QueryTreeRecord.OurResponseIdentifierHandler
    extends IdentifierHandler

### Field Summary

Fields
`protected InformationEntity` `ie`
`protected QueryTreeRecord` `parentNode`
`protected AttributeTag` `uniqueKeyTagFromThisLevel`

### Constructor Summary

Constructors
Constructor and Description
`QueryTreeRecord.OurResponseIdentifierHandler(QueryTreeRecord parentNode, InformationEntity ie, AttributeTag uniqueKeyTagFromThisLevel)`

### Method Summary

Methods
`void` `doSomethingWithIdentifier(AttributeList responseIdentifier)` Called when a response identifier has been received.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ie

    protected InformationEntity ie

#### uniqueKeyTagFromThisLevel

    protected AttributeTag uniqueKeyTagFromThisLevel

#### parentNode

    protected QueryTreeRecord parentNode

### Constructor Detail

#### QueryTreeRecord.OurResponseIdentifierHandler

    public QueryTreeRecord.OurResponseIdentifierHandler(QueryTreeRecord parentNode,
                                                InformationEntity ie,
                                                AttributeTag uniqueKeyTagFromThisLevel)

Parameters:
  `parentNode` -
  `ie` -
  `uniqueKeyTagFromThisLevel` -

### Method Detail

#### doSomethingWithIdentifier

    public void doSomethingWithIdentifier(AttributeList responseIdentifier)
                                   throws DicomException

Description copied from class: `IdentifierHandler`

Called when a response identifier has been received.

Overrides:
  `doSomethingWithIdentifier` in class `IdentifierHandler`
Parameters:
  `responseIdentifier` -
Throws:
  `DicomException`